
QGIS Application - Bug report #17589

Attempting to set default CRS on master crashes QGIS

2017-11-30 05:53 AM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: Yes

Operating System: Debian 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25486

Description

Start up with no project loaded

click Settings then Options

Scroll down to CRS

under CRS for new layers click "use a default CRS" 

Click the globe to choose a CRS and it crashes

History

#1 - 2017-11-30 05:56 AM - Patrick Dunford

Same behaviour on Debian 9

#2 - 2017-11-30 06:04 AM - Patrick Dunford

The most recent build a10e753 also does this

#3 - 2017-11-30 04:29 PM - Giovanni Manghi

- Category changed from GUI to Projection Support

- Priority changed from Normal to High

- Regression? changed from No to Yes

#4 - 2017-12-01 07:19 AM - Nyall Dawson

- Status changed from Open to Feedback

Can't reproduce - can you post more details?

#5 - 2017-12-01 10:26 AM - Richard Duivenvoorde

I'm on Debian 10 too, but cannot reproduce this. Tried all kind of configurations.

@patrick do you have a corrupted config maybe? 

Do you start up with a certain project (See Options/General/Project files), or the Welcome Page

Maybe it is a plugin (Lat Lon Tools?) playing up?

If you cleanup/rename all your stuff (.config/QGIS .qgis2 .local/config/QGIS), still crashing?

If you start qgis with: 
qgis --profiles-path /tmp/foo

Still crashing?

#6 - 2017-12-01 10:47 AM - Patrick Dunford

I can crash a brand new Debian 9.1 VM that has only just had Qgis installed for the very first time and has never opened any projects at all.

#7 - 2017-12-01 10:57 AM - Patrick Dunford

- File qgis17589.mp4 added

See attached

#8 - 2017-12-02 11:06 AM - Patrick Dunford

Here is a VM that replicates the behaviour

https://my.pcloud.com/publink/show?code=kZAfT57Z0doVKojjEQ4dvJQfYAmsOQpolq4k

Some particular local considerations that may apply

- NZ locale

- XFCE desktop environment

- web filtering in effect as this is an educational institution that I work out of.

#9 - 2017-12-02 02:24 PM - Patrick Dunford

user=user

pass=pass

root=root

#10 - 2017-12-03 08:21 AM - James Passmore

I just had a similar thing happen on Linux Mint 18.1 Serena (4.4.0-101-generic) QGIS code revision 19b062c.  I went to change the project projection and

QGIS crashed.

#11 - 2017-12-03 10:48 AM - Giovanni Manghi

- Subject changed from Attempting to set default CRS on master crashes the application [d147064] to Attempting to set default CRS on master crashes 

QGIS

- Status changed from Feedback to Open

Also seen on Ubuntu (ubuntugis-nightly).

#12 - 2017-12-03 03:58 PM - Patrick Dunford

On one of my Xubuntu VMs I think it just freezes trying to display the dialog instead of crashing.
#13 - 2017-12-04 10:07 AM - Richard Duivenvoorde

related #17610 ?

#14 - 2017-12-04 12:33 PM - Patrick Dunford

Yes I would say very much the same issue there.

#15 - 2018-01-04 04:57 AM - Mathieu Pellerin - nIRV

- Status changed from Open to Feedback

Patrick, a fix was committed to master yesterday which hopefully has dealt with this crash. Can you confirm the crash you suffered from his gone? Thanks.

#16 - 2018-01-04 01:28 PM - Patrick Dunford

The latest version available on Buster is 6508543, does that version include the fix? as it still crashes.

#17 - 2018-01-04 11:23 PM - Patrick Dunford

Doesn't sem to crash on the original VM

On the Buster system I have it doesn't crash, but doesn't seem to be able to display the current CRS of a 2.18 project file.

#18 - 2018-01-05 02:23 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Sounds like the original issue is fixed.

Files

qgis17589.mp4 4.33 MB 2017-12-01 Patrick Dunford
